> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Shipping Address

PUT https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/shipping_addresses/{id}
Content-Type: application/json

Update a shipping address associated with an order.

**Note**: Updating a shipping address will NOT trigger the recalculation of shipping cost and tax

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-shipping-addresses/update-order-shipping-address

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `id` (string, required) — Shipping address ID.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a shippingAddress_Put.

- `first_name` (string, optional)
- `last_name` (string, optional)
- `company` (string, optional)
- `street_1` (string, optional) — Street address (first line).
- `street_2` (string, optional) — Street address (second line).
- `city` (string, optional)
- `state` (string, optional)
- `zip` (string, optional) — Zip or postal code, as a string.
- `country` (string, optional)
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `phone` (string, optional) — Recipient’s telephone number.
- `email` (string, optional) — Recipient’s email address.
- `shipping_method` (string, optional) — Text code identifying the BigCommerce shipping module selected by the customer.
- `form_fields` (list of formFields, optional)

## Response

### 200

OK

- `base_cost` (string, optional) — The base value of the order’s items. (Float, Float-As-String, Integer)
- `base_handling_cost` (string, optional) — The base handling charge. The value can't be negative. (Float, Float-As-String, Integer)
- `city` (string, optional)
- `company` (string, optional)
- `cost_ex_tax` (string, optional) — The value of the order’s items, excluding tax. (Float, Float-As-String, Integer)
- `cost_inc_tax` (string, optional) — The value of the order’s items, including tax. (Float, Float-As-String, Integer)
- `cost_tax` (string, optional) — The tax amount on the order. (Float, Float-As-String, Integer)
- `cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)
- `country` (string, optional)
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Recipient’s email address.
- `first_name` (string, optional)
- `form_fields` (list of formFields, optional)
- `handling_cost_ex_tax` (string, optional) — The handling charge, excluding tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_inc_tax` (string, optional) — The handling charge, including tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_tax` (string, optional)
- `handling_cost_tax_class_id` (integer, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT operation. (NOTE: Value ignored if automatic tax is enabled on the store.)
- `id` (integer, optional) — ID of this shipping address.
- `items_shipped` (double, optional) — The number of items that have been shipped.
- `items_total` (double, optional) — The total number of items in the order.
- `last_name` (string, optional)
- `order_id` (integer, optional) — ID of the order.
- `phone` (string, optional) — Recipient’s telephone number.
- `shipping_method` (string, optional) — Text code identifying the BigCommerce shipping module selected by the customer.
- `shipping_quotes` (shippingQuotes_Resource, optional)
- `shipping_zone_id` (double, optional) — Numeric ID of the shipping zone.
- `shipping_zone_name` (string, optional) — Name of the shipping zone.
- `state` (string, optional)
- `street_1` (string, optional) — Street address (first line).
- `street_2` (string, optional) — Street address (second line).
- `zip` (string, optional) — Zip or postal code, as a string.

## Errors

### 400 Bad Request Error

Bad Request

- `list of OrdersOrderIdShippingAddressesIdPutResponsesContentApplicationJsonSchemaItems`

### 404 Not Found Error

Not Found

- `list of OrdersOrderIdShippingAddressesIdPutResponsesContentApplicationJsonSchemaItems`

## Types

### formFields

- `name` (string, optional) — The form field name.
- `value` (FormFieldsValue, optional) — The form field value.

### shippingQuotes_Resource

- `url` (string, optional) — This URL will return a 204 for shipping quotes. To return shipping quotes: `/shipping_addresses/shipping_address_id/shipping_quotes`
- `resource` (string, optional) — This URL will return a 204 for shipping quotes. To return shipping quotes: `/shipping_addresses/shipping_address_id/shipping_quotes`

### OrdersOrderIdShippingAddressesIdPutResponsesContentApplicationJsonSchemaItems

- `status` (integer, optional)
- `message` (string, optional)

### FormFieldsValue

The form field value.

## Examples

**Request**

```json
{
  "first_name": "first",
  "last_name": "last",
  "company": "company",
  "street_1": "street 1",
  "street_2": "street 2",
  "city": "Sydney",
  "state": "New South Wales",
  "zip": "2000",
  "country": "Australia",
  "country_iso2": "AU",
  "phone": "468444123",
  "email": "email2@bigcommerce.com"
}
```

**Response**

```json
{
  "base_cost": "15.0000",
  "base_handling_cost": "0.0000",
  "city": "Sydney",
  "company": "company",
  "cost_ex_tax": "15.0000",
  "cost_inc_tax": "15.0000",
  "cost_tax": "0.0000",
  "cost_tax_class_id": 2,
  "country": "Australia",
  "country_iso2": "AU",
  "email": "email@bigcommerce.com",
  "first_name": "first",
  "form_fields": [],
  "handling_cost_ex_tax": "0.0000",
  "handling_cost_inc_tax": "0.0000",
  "handling_cost_tax": "0.0000",
  "handling_cost_tax_class_id": 2,
  "id": 1,
  "items_shipped": 0,
  "items_total": 1,
  "last_name": "last",
  "order_id": 100,
  "phone": "phone",
  "shipping_method": "Flat Rate",
  "shipping_quotes": {
    "url": "https://api-proxy.service.bcdev/stores/17hoqh4ddx/v2/orders/100/shipping_addresses/1/shipping_quotes",
    "resource": "/orders/100/shipping_addresses/1/shipping_quotes"
  },
  "shipping_zone_id": 1,
  "shipping_zone_name": "United States",
  "state": "New South Wales",
  "street_1": "street 1",
  "street_2": "street 2",
  "zip": "2000"
}
```

**SDK Code**

```python Update shipping address
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id"

payload = {
    "first_name": "first",
    "last_name": "last",
    "company": "company",
    "street_1": "street 1",
    "street_2": "street 2",
    "city": "Sydney",
    "state": "New South Wales",
    "zip": "2000",
    "country": "Australia",
    "country_iso2": "AU",
    "phone": "468444123",
    "email": "email2@bigcommerce.com"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update shipping address
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"first_name":"first","last_name":"last","company":"company","street_1":"street 1","street_2":"street 2","city":"Sydney","state":"New South Wales","zip":"2000","country":"Australia","country_iso2":"AU","phone":"468444123","email":"email2@bigcommerce.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update shipping address
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id"

	payload := strings.NewReader("{\n  \"first_name\": \"first\",\n  \"last_name\": \"last\",\n  \"company\": \"company\",\n  \"street_1\": \"street 1\",\n  \"street_2\": \"street 2\",\n  \"city\": \"Sydney\",\n  \"state\": \"New South Wales\",\n  \"zip\": \"2000\",\n  \"country\": \"Australia\",\n  \"country_iso2\": \"AU\",\n  \"phone\": \"468444123\",\n  \"email\": \"email2@bigcommerce.com\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update shipping address
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"first_name\": \"first\",\n  \"last_name\": \"last\",\n  \"company\": \"company\",\n  \"street_1\": \"street 1\",\n  \"street_2\": \"street 2\",\n  \"city\": \"Sydney\",\n  \"state\": \"New South Wales\",\n  \"zip\": \"2000\",\n  \"country\": \"Australia\",\n  \"country_iso2\": \"AU\",\n  \"phone\": \"468444123\",\n  \"email\": \"email2@bigcommerce.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update shipping address
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"first_name\": \"first\",\n  \"last_name\": \"last\",\n  \"company\": \"company\",\n  \"street_1\": \"street 1\",\n  \"street_2\": \"street 2\",\n  \"city\": \"Sydney\",\n  \"state\": \"New South Wales\",\n  \"zip\": \"2000\",\n  \"country\": \"Australia\",\n  \"country_iso2\": \"AU\",\n  \"phone\": \"468444123\",\n  \"email\": \"email2@bigcommerce.com\"\n}")
  .asString();
```

```php Update shipping address
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id', [
  'body' => '{
  "first_name": "first",
  "last_name": "last",
  "company": "company",
  "street_1": "street 1",
  "street_2": "street 2",
  "city": "Sydney",
  "state": "New South Wales",
  "zip": "2000",
  "country": "Australia",
  "country_iso2": "AU",
  "phone": "468444123",
  "email": "email2@bigcommerce.com"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update shipping address
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"first_name\": \"first\",\n  \"last_name\": \"last\",\n  \"company\": \"company\",\n  \"street_1\": \"street 1\",\n  \"street_2\": \"street 2\",\n  \"city\": \"Sydney\",\n  \"state\": \"New South Wales\",\n  \"zip\": \"2000\",\n  \"country\": \"Australia\",\n  \"country_iso2\": \"AU\",\n  \"phone\": \"468444123\",\n  \"email\": \"email2@bigcommerce.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update shipping address
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "first_name": "first",
  "last_name": "last",
  "company": "company",
  "street_1": "street 1",
  "street_2": "street 2",
  "city": "Sydney",
  "state": "New South Wales",
  "zip": "2000",
  "country": "Australia",
  "country_iso2": "AU",
  "phone": "468444123",
  "email": "email2@bigcommerce.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/shipping_addresses/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```